Skip to main content

October 14, 2026

· 4 min read

This release introduces read-only access control for machine-to-machine tokens and exposes plan change options across customer membership endpoints. Developers can now create or update M2M tokens with read-only permissions to limit API access, and retrieve detailed plan change options when working with customer memberships.

POST /auth/m2m_tokens

  • added the new optional request property is_read_only (media type: application/json)
View updated docs

PATCH /auth/m2m_tokens/{id}

  • added the new optional request property is_read_only (media type: application/json)
  • added the required property is_read_only to the response with the 200 status (media type: application/json)
View updated docs

PUT /auth/m2m_tokens/{id}

  • added the new optional request property is_read_only (media type: application/json)
View updated docs

GET /customer_memberships

  • added the optional property results/items/plan_change_options to the response with the 200 status (media type: application/json)
View updated docs

POST /customer_memberships

  • added the optional property plan_change_options to the response with the 201 status (media type: application/json)
View updated docs

POST /customer_memberships/bulk_edit_prices

  • added the optional property plan_change_options to the response with the 200 status (media type: application/json)
View updated docs

GET /customer_memberships/{id}

  • added the optional property plan_change_options to the response with the 200 status (media type: application/json)
View updated docs

POST /customer_memberships/{id}/cancel

  • added the optional property plan_change_options to the response with the 200 status (media type: application/json)
View updated docs